6.0.0-git
2019-04-25

[#12855] Fatal Error "Share name not found" when trying to save a note twice
Summary Fatal Error "Share name not found" when trying to save a note twice
Queue Mnemo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester florian (at) brandner (dot) net
Created 2013-11-22 (1980 days ago)
Due
Updated 2013-12-17 (1955 days ago)
Assigned 2013-11-22 (1980 days ago)
Resolved 2013-12-06 (1966 days ago)
Milestone
Patch No

History
2013-12-17 11:17:59 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 48ea1bed3a0e3743f5052c0ca8f6a66cd01b3d39
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Dec 6 14:14:54 2013 -0500

     Persist the memolist_id in case saving fails and we retry.

     Bug: 12855

  mnemo/memo.php |    3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/48ea1bed3a0e3743f5052c0ca8f6a66cd01b3d39
2013-12-17 09:43:52 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 420f610c4da607b99c9e45f7422b9dea21736a66
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Dec 6 14:14:54 2013 -0500

     Persist the memolist_id in case saving fails and we retry.

     Bug: 12855

  mnemo/memo.php |    3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/420f610c4da607b99c9e45f7422b9dea21736a66
2013-12-06 19:17:59 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2013-12-06 19:16:38 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 48ea1bed3a0e3743f5052c0ca8f6a66cd01b3d39
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Dec 6 14:14:54 2013 -0500

     Persist the memolist_id in case saving fails and we retry.

     Bug: 12855

  mnemo/memo.php |    3 +++
  1 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/48ea1bed3a0e3743f5052c0ca8f6a66cd01b3d39
2013-11-22 13:21:21 florian (at) brandner (dot) net Comment #3 Reply to this comment
Cannot reproduce. Any chance that you only have a single notepad?
Yes, thats right. When adding a second notepad, it works as expected.
2013-11-22 12:57:18 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce. Any chance that you only have a single notepad?
2013-11-22 06:40:06 florian (at) brandner (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Fatal Error "Share name not found" when trying to save a note twice
Queue ⇒ Mnemo
Milestone ⇒
Patch ⇒ No
Reply to this comment
When the second try to save a note fails, I get the following fatal error:

Ein schwerer Fehler ist aufgetreten:
Share name not found

1. Horde_Core_Share_Driver->getShare() /var/www/horde/mnemo/memo.php:140
2. Horde_Core_Share_Driver->__call() /var/www/horde/mnemo/memo.php:140
3. call_user_func_array() /usr/share/php/Horde/Core/Share/Driver.php:63
4. Horde_Share_Base->getShare()
5. Horde_Share_Sql->_getShare() /usr/share/php/Horde/Share/Base.php:199


Steps to reproduce:
1. Add a new note, text and category doesnt matter. Enter a password, 
but leave the repeated passwort field emtpy
2. Save the note. A error will say "Passwords dont match"
3. Save the note again and the fatal error will occur. Even if the 
passwords match or the password field is empty, it will run into an 
error

Versions:
Horde 5.1.5
mnemo 4.1.2

Saved Queries